package types

import (
	"rs/cmd/api/internal/config"
	"rs/genModel"
	"rs/rpc/transferClient"
)

type BaseServiceContext struct {
	Config              config.Config
	TransferRpc         transferClient.Transfer // 调用transfer服务
	ProductRedirectConf genModel.ProductRedirectConfModel
	Merchant            genModel.MerchantModel
}

type DecryptReqData struct {
	SipOrderNo  string `json:"sipOrderNo"`
	VoucherTag  string `json:"voucherTag"`
	AccountType int32  `json:"accountType"`
	AccountNo   string `json:"accountNo"`
	AccountInfo string `json:"accountInfo,optional"`
	Num         int    `json:"num"`
}
